Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
eZXMLRPCArray Class Reference

## Public Member Functions
| __construct ( $array=array(), $type=false, $rec=false)
| isRecursive ()
| type ()
| setIsRecursive ( $rec)
| setType ( $type)
& | serialize ()
| value ($arg=-1)
& | toArray ()
| decode ( $value)

## Static Public Member Functions
static | serializeArray ( $array, $type=false, $rec=false)

## Public Attributes
| $Array
| $Type
| $Recursive

## Detailed Description

! eZXMLRPC eZXMLRPCArray hadles encoding and decoding of an XML-RPC array datatype.

Definition at line 36 of file ezxmlrpcarray.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZXMLRPCArray::__construct | ( |  | $array = `array()`,
|  |  | $type = `false`,
|  |  | $rec = `false`
| ) |  |

Creates a new eZXMLRPCArray object.

The default value is true.

Definition at line 43 of file ezxmlrpcarray.php.

References $type.

## Member Function Documentation

## ◆ decode()

eZXMLRPCArray::decode | ( |  | $value | ) |

Decodes the a value.

Definition at line 122 of file ezxmlrpcarray.php.

## ◆ isRecursive()

eZXMLRPCArray::isRecursive | ( |  | ) |

Returns true if type information is sent recursively to objects.

Definition at line 53 of file ezxmlrpcarray.php.

References $Recursive.

## ◆ serialize()

& eZXMLRPCArray::serialize | ( |  | ) |

This function will encode the sting into a valid XML-RPC value.

Definition at line 85 of file ezxmlrpcarray.php.

References $ret, and serializeArray().

## ◆ serializeArray()

static eZXMLRPCArray::serializeArray | ( |  | $array,
|  |  | $type = `false`,
|  |  | $rec = `false`
| ) |  |
| static

Definition at line 131 of file ezxmlrpcarray.php.

References $ret, and $type.

Referenced by serialize(), and eZXMLRPCStruct\serializeStruct().

## ◆ setIsRecursive()

eZXMLRPCArray::setIsRecursive | ( |  | $rec | ) |

Set recursive behaviour on or off.

Definition at line 69 of file ezxmlrpcarray.php.

## ◆ setType()

eZXMLRPCArray::setType | ( |  | $type | ) |

Sets type of all items, false means probe for type.

Definition at line 77 of file ezxmlrpcarray.php.

References $type.

## ◆ toArray()

& eZXMLRPCArray::toArray | ( |  | ) |

Returns the contents as a regular array.

Definition at line 109 of file ezxmlrpcarray.php.

References $item.

## ◆ type()

eZXMLRPCArray::type | ( |  | ) |

Returns the type which all items are sent as, if false items are probed for type.

Definition at line 61 of file ezxmlrpcarray.php.

References $Type.

## ◆ value()

eZXMLRPCArray::value | ( |  | $arg = `-1` | ) |

Returns the array value.

Definition at line 94 of file ezxmlrpcarray.php.

References $Array.

## Member Data Documentation

## ◆ $Array

eZXMLRPCArray::$Array

Definition at line 184 of file ezxmlrpcarray.php.

Referenced by value().

## ◆ $Recursive

eZXMLRPCArray::$Recursive

Definition at line 186 of file ezxmlrpcarray.php.

Referenced by isRecursive().

## ◆ $Type

eZXMLRPCArray::$Type

Definition at line 185 of file ezxmlrpcarray.php.

Referenced by type().

The documentation for this class was generated from the following file:

- ezxmlrpcarray.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.